Delete Role
Delete Role
DELETE
https://api.ocamba.com/v2/adex/roles/{id}
Deletes a custom Role and all of its member assignments. Application Members are not removed — they simply lose this role (no automatic reassignment to the default role). Read-only (system) roles and the default role cannot be deleted. Having members on the role does not block deletion.
Note
Idempotent: missing role still returns 204.
Rate limits:
- Burst: 10/s
- Steady: 150/m
Path parameters
parametersResponse schemas
•
204
No Content
›
403
application/json
›
500
application/json
curl -X DELETE \
"https://api.ocamba.com/v2/adex/roles/{id}" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/roles/{id}';
const options = {
method: 'DELETE',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/roles/{id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
204 No Content
403 Forbidden
{
"code": 403,
"title": "Forbidden",
"message": "You are not allowed to perform this action.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses